void filterLargeSmall(ImageProcessor ip, double filterLarge, double filterSmall, int stripesHorVert, double scaleStripes) {

        int maxN = ip.getWidth();

        float[] fht = (float[])ip.getPixels();
        float[] filter = new float[maxN*maxN];
        for (int i=0; i<maxN*maxN; i++)
            filter[i]=1f;

        int row;
        int backrow;
        float rowFactLarge;
        float rowFactSmall;

        int col;
        int backcol;
        float factor;
        float colFactLarge;
        float colFactSmall;

        float factStripes;

        // calculate factor in exponent of Gaussian from filterLarge / filterSmall

        double scaleLarge = filterLarge*filterLarge;
        double scaleSmall = filterSmall*filterSmall;
        scaleStripes = scaleStripes*scaleStripes;
        //float FactStripes;

        // loop over rows
        for (int j=1; j<maxN/2; j++) {
            row = j * maxN;
            backrow = (maxN-j)*maxN;
            rowFactLarge = (float) Math.exp(-(j*j) * scaleLarge);
            rowFactSmall = (float) Math.exp(-(j*j) * scaleSmall);


            // loop over columns
            for (col=1; col<maxN/2; col++){
                backcol = maxN-col;
                colFactLarge = (float) Math.exp(- (col*col) * scaleLarge);
                colFactSmall = (float) Math.exp(- (col*col) * scaleSmall);
                factor = (1 - rowFactLarge*colFactLarge) * rowFactSmall*colFactSmall;
                switch (stripesHorVert) {
                    case 1: factor *= (1 - (float) Math.exp(- (col*col) * scaleStripes)); break;// hor stripes
                    case 2: factor *= (1 - (float) Math.exp(- (j*j) * scaleStripes)); // vert stripes
                }

                fht[col+row] *= factor;
                fht[col+backrow] *= factor;
                fht[backcol+row] *= factor;
                fht[backcol+backrow] *= factor;
                filter[col+row] *= factor;
                filter[col+backrow] *= factor;
                filter[backcol+row] *= factor;
                filter[backcol+backrow] *= factor;
            }
        }

        //process meeting points (maxN/2,0) , (0,maxN/2), and (maxN/2,maxN/2)
        int rowmid = maxN * (maxN/2);
        rowFactLarge = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleLarge);
        rowFactSmall = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleSmall);
        factStripes = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleStripes);

        fht[maxN/2] *= (1 - rowFactLarge) * rowFactSmall; // (maxN/2,0)
        fht[rowmid] *= (1 - rowFactLarge) * rowFactSmall; // (0,maxN/2)
        fht[maxN/2 + rowmid] *= (1 - rowFactLarge*rowFactLarge) * rowFactSmall*rowFactSmall; // (maxN/2,maxN/2)
        filter[maxN/2] *= (1 - rowFactLarge) * rowFactSmall; // (maxN/2,0)
        filter[rowmid] *= (1 - rowFactLarge) * rowFactSmall; // (0,maxN/2)
        filter[maxN/2 + rowmid] *= (1 - rowFactLarge*rowFactLarge) * rowFactSmall*rowFactSmall; // (maxN/2,maxN/2)

        switch (stripesHorVert) {
            case 1: fht[maxN/2] *= (1 - factStripes);
                    fht[rowmid] = 0;
                    fht[maxN/2 + rowmid] *= (1 - factStripes);
                    filter[maxN/2] *= (1 - factStripes);
                    filter[rowmid] = 0;
                    filter[maxN/2 + rowmid] *= (1 - factStripes);
                    break; // hor stripes
            case 2: fht[maxN/2] = 0;
                    fht[rowmid] *=  (1 - factStripes);
                    fht[maxN/2 + rowmid] *= (1 - factStripes);
                    filter[maxN/2] = 0;
                    filter[rowmid] *=  (1 - factStripes);
                    filter[maxN/2 + rowmid] *= (1 - factStripes);
                    break; // vert stripes
        }

        //loop along row 0 and maxN/2
        rowFactLarge = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleLarge);
        rowFactSmall = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleSmall);
        for (col=1; col<maxN/2; col++){
            backcol = maxN-col;
            colFactLarge = (float) Math.exp(- (col*col) * scaleLarge);
            colFactSmall = (float) Math.exp(- (col*col) * scaleSmall);

            switch (stripesHorVert) {
                case 0:
                    fht[col] *= (1 - colFactLarge) * colFactSmall;
                    fht[backcol] *= (1 - colFactLarge) * colFactSmall;
                    fht[col+rowmid] *= (1 - colFactLarge*rowFactLarge) * colFactSmall*rowFactSmall;
                    fht[backcol+rowmid] *= (1 - colFactLarge*rowFactLarge) * colFactSmall*rowFactSmall;
                    filter[col] *= (1 - colFactLarge) * colFactSmall;
                    filter[backcol] *= (1 - colFactLarge) * colFactSmall;
                    filter[col+rowmid] *= (1 - colFactLarge*rowFactLarge) * colFactSmall*rowFactSmall;
                    filter[backcol+rowmid] *= (1 - colFactLarge*rowFactLarge) * colFactSmall*rowFactSmall;
                    break;
                    }
        }

        // loop along column 0 and maxN/2
        colFactLarge = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleLarge);
        colFactSmall = (float) Math.exp(- (maxN/2)*(maxN/2) * scaleSmall);
        for (int j=1; j<maxN/2; j++) {
            row = j * maxN;
            backrow = (maxN-j)*maxN;
            rowFactLarge = (float) Math.exp(- (j*j) * scaleLarge);
            rowFactSmall = (float) Math.exp(- (j*j) * scaleSmall);

            switch (stripesHorVert) {
                case 0:
                    fht[row] *= (1 - rowFactLarge) * rowFactSmall;
                    fht[backrow] *= (1 - rowFactLarge) * rowFactSmall;
                    fht[row+maxN/2] *= (1 - rowFactLarge*colFactLarge) * rowFactSmall*colFactSmall;
                    fht[backrow+maxN/2] *= (1 - rowFactLarge*colFactLarge) * rowFactSmall*colFactSmall;
                    filter[row] *= (1 - rowFactLarge) * rowFactSmall;
                    filter[backrow] *= (1 - rowFactLarge) * rowFactSmall;
                    filter[row+maxN/2] *= (1 - rowFactLarge*colFactLarge) * rowFactSmall*colFactSmall;
                    filter[backrow+maxN/2] *= (1 - rowFactLarge*colFactLarge) * rowFactSmall*colFactSmall;
                    break;

            }
        }
        if (displayFilter && slice==1) {
            FHT f = new FHT(new FloatProcessor(maxN, maxN, filter, null));
            f.swapQuadrants();
            new ImagePlus("Filter", f).show();
        }
    }